# norootforbuild

%define		realname	libquicktime
%define		soname		1

Name:           %{realname}%{soname}
Version:        1.1.1
Release:        101.14
Summary:        A Library for Reading and Writing Quicktime Movie Files
URL:            http://libquicktime.sf.net
License:        GPL v2 or later
Group:          Development/Libraries/Other

Source0:        http://surfnet.dl.sourceforge.net/sourceforge/%{name}/%{realname}-%{version}.tar.gz

Obsoletes:	%{realname}
Provides:	%{realname} = %{version}-%{release}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:	alsa-devel gtk2-devel libavc1394-devel libjpeg-devel libvorbis-devel sed
BuildRequires:	faad2-devel faac libx264-devel lame libffmpeg0-devel doxygen
%if 0%{?suse_version} >= 1010
BuildRequires:	libdv-devel
%else
BuildRequires:	libdv
%endif


%description
A library for reading and writing Quicktime movie files, based on and
forked from quicktime4linux.


%package -n %{realname}-devel
Summary:	library for reading/writing quicktime movie files
Group:		Development/Libraries/Other
Requires:	%{name} = %{version}
Requires:	alsa-devel gtk2-devel libavc1394-devel libjpeg-devel libvorbis-devel sed
Requires:	faad2-devel faac libx264-devel lame libffmpeg0-devel
%if 0%{?suse_version} >= 1010
Requires:	libdv-devel
%else
Requires:	libdv
%endif


%description -n %{realname}-devel
library for reading/writing quicktime movie files, based on and forked
from quicktime4linux


%debug_package


%prep
%setup -q -n %{realname}-%{version}


%build
export CPPFLAGS="$RPM_OPT_FLAGS -I/usr/include/libavcodec -I/usr/include/libavutil -I/usr/include/libswscale"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/libavcodec -I/usr/include/libavutil -I/usr/include/libswscale"
%configure --enable-gpl --docdir=%{_docdir}/%{realname}
%__make %{?jobs:-j%jobs}


%install
%makeinstall
%__ln_s lqt %{buildroot}/usr/include/quicktime


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc doc/*.html doc/*.txt
%dir %{_docdir}/%{realname}
%dir %{_docdir}/%{realname}/apiref
%{_docdir}/%{realname}/apiref/*
%{_bindir}/libquicktime_config
%{_bindir}/lqt_transcode
%{_bindir}/lqtplay
%{_bindir}/qt2text
%{_bindir}/qtdechunk
%{_bindir}/qtdump
%{_bindir}/qtinfo
%{_bindir}/qtrechunk
%{_bindir}/qtstreamize
%{_bindir}/qtyuv4toyuv
%{_libdir}/lib*.so.*
%dir %{_libdir}/%{realname}
%{_libdir}/%{realname}/lqt_*.so
%{_datadir}/locale/de/LC_MESSAGES/libquicktime.mo
%{_mandir}/man1/lqtplay.1.gz


%files -n %{realname}-devel
%defattr(-, root, root)
%{_bindir}/lqt-config
%dir %{_includedir}/lqt
%{_includedir}/lqt/*.h
%{_includedir}/quicktime
%{_libdir}/lib*.la
%{_libdir}/%{realname}/lqt_*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{realname}.pc
%{_datadir}/aclocal/lqt.m4


%changelog
* Thu Dec 18 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.1.1
* Mon Nov 10 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.1.0
* Tue Jul 15 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 1.0.3
* Tue Jan 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import for SLE_10
